commit:     c86a79a5db381ad02d978d85f01beb79b91aa447
Author:     Alice Ferrazzi <alicef <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 25 08:01:19 2022 +0000
Commit:     Alice Ferrazzi <alicef <AT> gentoo <DOT> org>
CommitDate: Fri Mar 25 08:08:12 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c86a79a5

sys-kernel/rt-sources: Bump to 5.4.182_p72-rc1

Signed-off-by: Alice Ferrazzi <alicef <AT> gentoo.org>

 sys-kernel/rt-sources/Manifest                     |  2 +
 .../rt-sources/rt-sources-5.4.182_p72-r1.ebuild    | 53 ++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/sys-kernel/rt-sources/Manifest b/sys-kernel/rt-sources/Manifest
index c294e7951165..e42ef8310b5d 100644
--- a/sys-kernel/rt-sources/Manifest
+++ b/sys-kernel/rt-sources/Manifest
@@ -25,3 +25,5 @@ DIST patch-5.16.2-rt19.patch.xz 72364 BLAKE2B 
6485a5f30fa871854ac63847e725f3a8eb
 DIST patch-5.16.2.xz 20432 BLAKE2B 
9c9f697e4dd0a78a94ac0bd361ec69683c6904d9af02da55c3001394e6a6efcc1fccd5d44747fff6ea47271b7655bd7866d161a90196cecaddde1c630ef5c425
 SHA512 
50d3c386e391603fbfe86780bbfa69c3a7caa83a7eea6c239af133dde3a7aa4746f4a3f1483589018d5ac27caa7ee69d869f8f64f4b5121ddab52224f5302222
 DIST patch-5.4.170-rt68.patch.xz 183292 BLAKE2B 
ea666e407749008faa9254bfcd7b92d81b9bdb3c750cf33fadf7eafde0ff15e468357ca53f24bdcbeed687726f2842b1cb673b8b464f84a2a27f48827b4a04d1
 SHA512 
5f1ab9e24af7f39f6734f1cb1fff4ccd405bac6db56b09a9f25f7c90195720c384c1316e794fa5ac8eda160a788f59f5a9a6c13352fcd483d1dd82b30494af84
 DIST patch-5.4.170.xz 3618448 BLAKE2B 
b2241c31a494ca4fe80f0d81089b39af5c5d4e986aadd1a83ed49d9fb9b92de04f7e052f8591fc5d10691144fa63d3019f1bcb5f3453ac497370187f80f1ce57
 SHA512 
e9580b30e2847bc6f05d2dd41461b47ef8e0d24efdc46b6678b84a1450acdc92b0a4d7bc8a47c1494e953cd7101df873641fd117730ab49e9e08653c9f1d175d
+DIST patch-5.4.182-rt72-rc1.patch.xz 184096 BLAKE2B 
4922001cc619de53a01290ca9772f9411bf245ac857f5cb08a10a7e9e7c4cb71e7c323bcd763d0eb206a4a3c780b886e6ccfc34238bef876397e087cdbb38151
 SHA512 
1e82c6a6eb51f7fab017ea70d5fe356a7594ce6b826d85afcc5f70603125ce4fcf53eefdc91d4dedc456da269336cb0814b4c6136059354baf0314c25909a023
+DIST patch-5.4.182.xz 3742912 BLAKE2B 
aa85a5c0e9d0ce8328942a183f0cb97fa003e248ccd218849aa5b7805e84e1dec23b78deae761882f4a8d73330b178aa6087816ed489b3050c9a50bf46348af9
 SHA512 
512e412ae0ad3c1a55c95324b0a959b37dce1c5783124d728cbafdbbb2165c0def65a7a8c537640dac60717a570a420573b4319830b5b126a8e9184f98b11a75

diff --git a/sys-kernel/rt-sources/rt-sources-5.4.182_p72-r1.ebuild 
b/sys-kernel/rt-sources/rt-sources-5.4.182_p72-r1.ebuild
new file mode 100644
index 000000000000..a78670212ae3
--- /dev/null
+++ b/sys-kernel/rt-sources/rt-sources-5.4.182_p72-r1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+ETYPE="sources"
+KEYWORDS="~amd64 ~arm64"
+
+HOMEPAGE="https://wiki.linuxfoundation.org/realtime/start";
+
+CKV="$(ver_cut 1-3)"
+K_SECURITY_UNSUPPORTED="1"
+K_DEBLOB_AVAILABLE="1"
+RT_PATCHSET="${PV/*_p}"
+RC_PATCHSET="1"
+
+inherit kernel-2
+detect_version
+
+K_BRANCH_ID="${KV_MAJOR}.${KV_MINOR}"
+RT_FILE="patch-${K_BRANCH_ID}.${KV_PATCH}-rt${RT_PATCHSET}-rc${RC_PATCHSET}.patch.xz"
+RT_URI="https://www.kernel.org/pub/linux/kernel/projects/rt/${K_BRANCH_ID}/${RT_FILE}
 \
+               
https://www.kernel.org/pub/linux/kernel/projects/rt/${K_BRANCH_ID}/older/${RT_FILE}";
+
+DESCRIPTION="Full Linux ${K_BRANCH_ID} kernel sources with the 
CONFIG_PREEMPT_RT patch"
+SRC_URI="${KERNEL_URI} ${RT_URI}"
+
+KV_FULL="${PVR/_p/-rt}"
+S="${WORKDIR}/linux-${KV_FULL}"
+
+UNIPATCH_LIST="${DISTDIR}/${RT_FILE}"
+UNIPATCH_STRICTORDER="yes"
+
+src_prepare() {
+       default
+
+       # 627796
+       sed \
+               "s/default PREEMPT_NONE/default PREEMPT_RT/g" \
+               -i "${S}/kernel/Kconfig.preempt" || die "sed failed"
+}
+
+pkg_postinst() {
+       kernel-2_pkg_postinst
+       ewarn
+       ewarn "${PN} are *not* supported by the Gentoo Kernel Project in any 
way."
+       ewarn "If you need support, please contact the RT project developers 
directly."
+       ewarn "Do *not* open bugs in Gentoo's bugzilla unless you have issues 
with"
+       ewarn "the ebuilds."
+       ewarn
+}
+
+K_EXTRAEINFO="For more info on rt-sources and details on how to report 
problems, see: \
+${HOMEPAGE}."

Reply via email to